<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/ContinuousActionProgress.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/df7/_continuous_action_progress_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ContinuousActionProgress.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/df7/_continuous_action_progress_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>ContinuousActionProgress <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a6d0f368ffb994cf0f63304e40e5b5bad">    3</a></span>    reference <span class="keywordtype">string</span>                <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a6d0f368ffb994cf0f63304e40e5b5bad">RadialBarWidgetName</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>            <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a2d89e844cbfd9c622075b211b6794c5e">m_Player</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a039ffa5740b45fa638bc3fd364ed2afc">    6</a></span>    <span class="keyword">protected</span> <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a>            <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a039ffa5740b45fa638bc3fd364ed2afc">m_Action</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a7085524f8770e2cf4ed6a87430fa39ee">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>                   <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a7085524f8770e2cf4ed6a87430fa39ee">m_ActionState</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a34e35b5a7b3c28e98f224c3f562c0c42">    8</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/dd1/class_action_manager_base.html">ActionManagerBase</a>     <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a34e35b5a7b3c28e98f224c3f562c0c42">m_AM</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#afbe7675cdf7a570bfdaa6756df34d1f9">   10</a></span>    <span class="keyword">protected</span> ref WidgetFadeTimer   <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#afbe7675cdf7a570bfdaa6756df34d1f9">m_FadeTimer</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ac6388e846ed6556e8019367cb49f2073">   11</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                  <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#ac6388e846ed6556e8019367cb49f2073">m_Faded</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a81bafb5143404e6d76226bc3de5eed62">   13</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a81bafb5143404e6d76226bc3de5eed62">m_InitProgress</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a42f7d0e4fa778ebaeb818845b6c88dbb">   14</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a42f7d0e4fa778ebaeb818845b6c88dbb">m_Speed</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#abccceaf40890d9acfaa72fc4a67e9b0c">   17</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#abccceaf40890d9acfaa72fc4a67e9b0c">m_RadialWidget</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aca43b125908ed47f3a8ced6ec4b59caa">   18</a></span>    <span class="keyword">protected</span> ImageWidget           <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aca43b125908ed47f3a8ced6ec4b59caa">m_LoaderImage</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#af1b2836a76ec049ca65f08f4aad0abf9">   19</a></span>    ref <a class="code hl_class" href="../../dc/d7d/class_radial_progress_bar.html">RadialProgressBar</a>           <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#af1b2836a76ec049ca65f08f4aad0abf9">m_Radial</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ac38a3d3e7178cbe5475c33a517a97b66">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ac38a3d3e7178cbe5475c33a517a97b66">ContinuousActionProgress</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a> = null;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        m_ActionState = -1;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a> = null;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_RadialWidget = null;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_LoaderImage = null;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        m_Radial = null;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_Speed = 0;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_InitProgress = 100;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        m_FadeTimer = <span class="keyword">new</span> WidgetFadeTimer;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_Faded = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">GetUpdateQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a>).<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">Insert</a>(<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a771e0e22a747bbef192cd9085f62e8aa">   38</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a771e0e22a747bbef192cd9085f62e8aa">~ContinuousActionProgress</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">GetUpdateQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a>).<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">Remove</a>(<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a398c31b5324f2023d4a320a430e9d94b">   43</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a398c31b5324f2023d4a320a430e9d94b">OnWidgetScriptInit</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a> = w;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.SetHandler(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        m_RadialWidget = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget(<span class="stringliteral">&quot;PBRadial1&quot;</span>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        m_LoaderImage = ImageWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget(<span class="stringliteral">&quot;cap_init_loader&quot;</span>) );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span>(m_RadialWidget)</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            m_RadialWidget.GetScript(m_Radial);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Update();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a64656374b51e5e4c4adc8f62ac770c16">   56</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a64656374b51e5e4c4adc8f62ac770c16">Update</a>()</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_class" href="../../db/dad/class_mission.html">Mission</a> <a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a> = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        IngameHud hud;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a> &amp;&amp; <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(hud,<a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a>.<a class="code hl_function" href="../../db/dad/class_mission.html#a9ac668e4ab6129b80993d4e6652bb890">GetHud</a>()) &amp;&amp; (hud.IsHideHudPlayer() || !hud.GetHudState()))</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> &amp;&amp; !<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsAlive()) <span class="comment">// handle respawn</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> = null;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a> = null;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">if</span>(!<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>) <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">GetPlayer</a>();</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">if</span>(!<a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>) <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a82e8238365614422318d5afccc3a12aa">GetActionManager</a>();</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ac6f2a913178522bedbcad3b54f0f78b1">GetActions</a>();</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a> &amp;&amp; <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>.HasProgress() &amp;&amp; m_ActionState != <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga906d727fe47efc365f800be617239f5f">UA_NONE</a> &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().GetMenu() == null)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <span class="keywordflow">if</span>(m_ActionState == <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga829752f53a47be6f8d43001ae512e34d">UA_INITIALIZE</a> || m_ActionState == <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga9c2343e8e5f2ccc0417e387fc4478e3c">UA_AM_PENDING</a>)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                m_Speed += 0.02;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                m_LoaderImage.SetRotation(0, 0, m_Speed * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">RAD2DEG</a>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                m_LoaderImage.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                m_Speed = 0.0;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                m_LoaderImage.SetRotation(0, 0, 0);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                m_LoaderImage.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <span class="keywordflow">if</span>(m_ActionState == <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a>)</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                m_InitProgress = 100;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                m_LoaderImage.SetRotation(0, 0, 0);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a5d98505e165cf5124b63bd08735b5697">SetProgress</a>(<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gadf8820d46eee5033af2e12212c22b16e">AbsFloat</a>(<a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>.<a class="code hl_function" href="../../d9/dd1/class_action_manager_base.html#aa20e6e70f63f2fc90a0589d161eda7ac">GetActionComponentProgress</a>() * 100));</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            m_Speed = 0.0;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            m_LoaderImage.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a5d98505e165cf5124b63bd08735b5697">SetProgress</a>(0.0);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            m_LoaderImage.SetRotation(0, 0, 0);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    <span class="comment">// getters</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa80865454598d324d826c4f0dcaafd5b">  111</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa80865454598d324d826c4f0dcaafd5b">GetPlayer</a>()</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>, <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">GetPlayer</a>());</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a8fc9a2bd58d8769187a9a3d45cd0354a">  116</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a8fc9a2bd58d8769187a9a3d45cd0354a">GetActionManager</a>()</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> &amp;&amp; <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsPlayerSelected() )</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(<a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetActionManager());</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a> = null;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a6723c29bfacebc08c3acf7e75f2380c6">  126</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a6723c29bfacebc08c3acf7e75f2380c6">GetActions</a>()</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">if</span>(!<a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>) <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a> = null;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        m_ActionState = -1;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a> = <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>.<a class="code hl_function" href="../../d9/dd1/class_action_manager_base.html#adea827aa710d41a7b54396b9e8493566">GetRunningAction</a>();</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a> &amp;&amp; <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>.GetInput().GetInputType() == <a class="code hl_enumeration" href="../../d2/df5/_action_input_8c.html#a9138c23baa6d7014775eb2bd63047fde">ActionInputType</a>.AIT_CONTINUOUS)</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            m_ActionState = <a class="code hl_variable" href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a>.<a class="code hl_function" href="../../d9/dd1/class_action_manager_base.html#a47546f292d27e3b7ba5e8153050c2ff9">GetActionState</a>(<a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a> = null;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a5d98505e165cf5124b63bd08735b5697">  140</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a5d98505e165cf5124b63bd08735b5697">SetProgress</a>(<span class="keywordtype">float</span> progress)</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">if</span>(m_Radial)</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            m_Radial.SetProgress(progress);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>}</div>
<div class="ttc" id="a_action_base_8c_html_a9e29a236902beb34a65218c0aa3debdb"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a></div><div class="ttdeci">void ActionBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00073">ActionBase.c:73</a></div></div>
<div class="ttc" id="a_action_input_8c_html_a3d09e412d12db79f4e4dda7b223efcc9"><div class="ttname"><a href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a></div><div class="ttdeci">enum ActionInputType m_Action</div></div>
<div class="ttc" id="a_action_input_8c_html_a9138c23baa6d7014775eb2bd63047fde"><div class="ttname"><a href="../../d2/df5/_action_input_8c.html#a9138c23baa6d7014775eb2bd63047fde">ActionInputType</a></div><div class="ttdeci">ActionInputType</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00001">ActionInput.c:2</a></div></div>
<div class="ttc" id="a_cross_hair_selector_8c_html_a5656b307fcf54071ca3e31bfe40ba528"><div class="ttname"><a href="../../d4/d9f/_cross_hair_selector_8c.html#a5656b307fcf54071ca3e31bfe40ba528">m_AM</a></div><div class="ttdeci">protected ActionManagerBase m_AM</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00052">CrossHairSelector.c:52</a></div></div>
<div class="ttc" id="a_display_status_8c_html_ab3a3bb8e635420fd40ef3c99f863c5c8"><div class="ttname"><a href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a></div><div class="ttdeci">Mission mission</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de7/_display_status_8c_source.html#l00028">DisplayStatus.c:28</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_abc384ffa3d9e20d9963688d1e3492cb7"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00091">SizeToChild.c:91</a></div></div>
<div class="ttc" id="aclass_action_manager_base_html"><div class="ttname"><a href="../../d9/dd1/class_action_manager_base.html">ActionManagerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db9/_action_manager_base_8c_source.html#l00031">ActionManagerBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_manager_base_html_a47546f292d27e3b7ba5e8153050c2ff9"><div class="ttname"><a href="../../d9/dd1/class_action_manager_base.html#a47546f292d27e3b7ba5e8153050c2ff9">ActionManagerBase::GetActionState</a></div><div class="ttdeci">int GetActionState(ActionBase action)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db9/_action_manager_base_8c_source.html#l00261">ActionManagerBase.c:261</a></div></div>
<div class="ttc" id="aclass_action_manager_base_html_aa20e6e70f63f2fc90a0589d161eda7ac"><div class="ttname"><a href="../../d9/dd1/class_action_manager_base.html#aa20e6e70f63f2fc90a0589d161eda7ac">ActionManagerBase::GetActionComponentProgress</a></div><div class="ttdeci">float GetActionComponentProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db9/_action_manager_base_8c_source.html#l00326">ActionManagerBase.c:326</a></div></div>
<div class="ttc" id="aclass_action_manager_base_html_adea827aa710d41a7b54396b9e8493566"><div class="ttname"><a href="../../d9/dd1/class_action_manager_base.html#adea827aa710d41a7b54396b9e8493566">ActionManagerBase::GetRunningAction</a></div><div class="ttdeci">ActionBase GetRunningAction()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db9/_action_manager_base_8c_source.html#l00090">ActionManagerBase.c:90</a></div></div>
<div class="ttc" id="aclass_c_game_html_a9004d9575e5b4d37044604767b0a8797"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">CGame::GetUpdateQueue</a></div><div class="ttdeci">ScriptInvoker GetUpdateQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01320">Game.c:1320</a></div></div>
<div class="ttc" id="aclass_c_game_html_aedfacca42304fed9eff41cbb197f73a7"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">CGame::GetMission</a></div><div class="ttdeci">proto native Mission GetMission()</div></div>
<div class="ttc" id="aclass_mission_html"><div class="ttname"><a href="../../db/dad/class_mission.html">Mission</a></div><div class="ttdoc">Mission class.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00660">gameplay.c:661</a></div></div>
<div class="ttc" id="aclass_mission_html_a9ac668e4ab6129b80993d4e6652bb890"><div class="ttname"><a href="../../db/dad/class_mission.html#a9ac668e4ab6129b80993d4e6652bb890">Mission::GetHud</a></div><div class="ttdeci">Hud GetHud()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00686">gameplay.c:686</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_radial_progress_bar_html"><div class="ttname"><a href="../../dc/d7d/class_radial_progress_bar.html">RadialProgressBar</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_radial_progress_bar_8c_source.html#l00002">RadialProgressBar.c:3</a></div></div>
<div class="ttc" id="aclass_script_invoker_html_a704b1e426e4369c79a8495f63cfe5eed"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">ScriptInvoker::Remove</a></div><div class="ttdeci">proto void Remove(func fn)</div><div class="ttdoc">remove specific call from list</div></div>
<div class="ttc" id="aclass_script_invoker_html_abeb2392b2e3dc0a34d0c5cafc96a288e"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">ScriptInvoker::Insert</a></div><div class="ttdeci">proto void Insert(func fn)</div><div class="ttdoc">insert method to list</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gad73851cb23a468ee6eb705d0ec76e141"><div class="ttname"><a href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">Math::RAD2DEG</a></div><div class="ttdeci">static const float RAD2DEG</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00016">EnMath.c:16</a></div></div>
<div class="ttc" id="agroup___math_html_gadf8820d46eee5033af2e12212c22b16e"><div class="ttname"><a href="../../d5/d98/group___math.html#gadf8820d46eee5033af2e12212c22b16e">Math::AbsFloat</a></div><div class="ttdeci">static proto float AbsFloat(float f)</div><div class="ttdoc">Returns absolute value.</div></div>
<div class="ttc" id="agroup___tools_html_gaae15173306f94a164b31a4baea73e5eb"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a></div><div class="ttdeci">const int CALL_CATEGORY_GUI</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00009">tools.c:9</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga829752f53a47be6f8d43001ae512e34d"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga829752f53a47be6f8d43001ae512e34d">UA_INITIALIZE</a></div><div class="ttdeci">const int UA_INITIALIZE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00424">constants.c:424</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga906d727fe47efc365f800be617239f5f"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga906d727fe47efc365f800be617239f5f">UA_NONE</a></div><div class="ttdeci">const int UA_NONE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00412">constants.c:412</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga9c2343e8e5f2ccc0417e387fc4478e3c"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga9c2343e8e5f2ccc0417e387fc4478e3c">UA_AM_PENDING</a></div><div class="ttdeci">const int UA_AM_PENDING</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00426">constants.c:426</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_gaec2990f2dd7ed9f35d980856442b881b"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a></div><div class="ttdeci">const int UA_PROCESSING</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00414">constants.c:414</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a039ffa5740b45fa638bc3fd364ed2afc"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a039ffa5740b45fa638bc3fd364ed2afc">ScriptedWidgetEventHandler::m_Action</a></div><div class="ttdeci">protected ActionBase m_Action</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00006">ContinuousActionProgress.c:6</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2d89e844cbfd9c622075b211b6794c5e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2d89e844cbfd9c622075b211b6794c5e">ScriptedWidgetEventHandler::m_Player</a></div><div class="ttdeci">protected PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00055">ActionTargetsCursor.c:55</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a34e35b5a7b3c28e98f224c3f562c0c42"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a34e35b5a7b3c28e98f224c3f562c0c42">ScriptedWidgetEventHandler::m_AM</a></div><div class="ttdeci">protected ActionManagerBase m_AM</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00008">ContinuousActionProgress.c:8</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a398c31b5324f2023d4a320a430e9d94b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a398c31b5324f2023d4a320a430e9d94b">ScriptedWidgetEventHandler::OnWidgetScriptInit</a></div><div class="ttdeci">protected void OnWidgetScriptInit(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00043">ContinuousActionProgress.c:43</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a42f7d0e4fa778ebaeb818845b6c88dbb"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a42f7d0e4fa778ebaeb818845b6c88dbb">ScriptedWidgetEventHandler::m_Speed</a></div><div class="ttdeci">protected float m_Speed</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00014">ContinuousActionProgress.c:14</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a47356c5957804e7c75007bd4070f4e08"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a47356c5957804e7c75007bd4070f4e08">ScriptedWidgetEventHandler::GetPlayer</a></div><div class="ttdeci">protected void GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00674">ActionTargetsCursor.c:674</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a5d98505e165cf5124b63bd08735b5697"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a5d98505e165cf5124b63bd08735b5697">ScriptedWidgetEventHandler::SetProgress</a></div><div class="ttdeci">private void SetProgress(float progress)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00140">ContinuousActionProgress.c:140</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a64656374b51e5e4c4adc8f62ac770c16"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a64656374b51e5e4c4adc8f62ac770c16">ScriptedWidgetEventHandler::Update</a></div><div class="ttdeci">protected void Update()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00056">ContinuousActionProgress.c:56</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a6723c29bfacebc08c3acf7e75f2380c6"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a6723c29bfacebc08c3acf7e75f2380c6">ScriptedWidgetEventHandler::GetActions</a></div><div class="ttdeci">private void GetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00126">ContinuousActionProgress.c:126</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a6d0f368ffb994cf0f63304e40e5b5bad"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a6d0f368ffb994cf0f63304e40e5b5bad">ScriptedWidgetEventHandler::RadialBarWidgetName</a></div><div class="ttdeci">reference string RadialBarWidgetName</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00003">ContinuousActionProgress.c:3</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a7085524f8770e2cf4ed6a87430fa39ee"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a7085524f8770e2cf4ed6a87430fa39ee">ScriptedWidgetEventHandler::m_ActionState</a></div><div class="ttdeci">protected int m_ActionState</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00007">ContinuousActionProgress.c:7</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a71b8e094195dbad856b869f74ddc40f0"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">ScriptedWidgetEventHandler::m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00009">SizeToChild.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a771e0e22a747bbef192cd9085f62e8aa"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a771e0e22a747bbef192cd9085f62e8aa">ScriptedWidgetEventHandler::~ContinuousActionProgress</a></div><div class="ttdeci">void ~ContinuousActionProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00038">ContinuousActionProgress.c:38</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a81bafb5143404e6d76226bc3de5eed62"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a81bafb5143404e6d76226bc3de5eed62">ScriptedWidgetEventHandler::m_InitProgress</a></div><div class="ttdeci">protected float m_InitProgress</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00013">ContinuousActionProgress.c:13</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a82e8238365614422318d5afccc3a12aa"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a82e8238365614422318d5afccc3a12aa">ScriptedWidgetEventHandler::GetActionManager</a></div><div class="ttdeci">protected void GetActionManager()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00679">ActionTargetsCursor.c:679</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8fc9a2bd58d8769187a9a3d45cd0354a"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8fc9a2bd58d8769187a9a3d45cd0354a">ScriptedWidgetEventHandler::GetActionManager</a></div><div class="ttdeci">private void GetActionManager()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00116">ContinuousActionProgress.c:116</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa80865454598d324d826c4f0dcaafd5b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa80865454598d324d826c4f0dcaafd5b">ScriptedWidgetEventHandler::GetPlayer</a></div><div class="ttdeci">private void GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00111">ContinuousActionProgress.c:111</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_abccceaf40890d9acfaa72fc4a67e9b0c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#abccceaf40890d9acfaa72fc4a67e9b0c">ScriptedWidgetEventHandler::m_RadialWidget</a></div><div class="ttdeci">protected Widget m_RadialWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00017">ContinuousActionProgress.c:17</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ac38a3d3e7178cbe5475c33a517a97b66"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ac38a3d3e7178cbe5475c33a517a97b66">ScriptedWidgetEventHandler::ContinuousActionProgress</a></div><div class="ttdeci">void ContinuousActionProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00021">ContinuousActionProgress.c:21</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ac6388e846ed6556e8019367cb49f2073"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ac6388e846ed6556e8019367cb49f2073">ScriptedWidgetEventHandler::m_Faded</a></div><div class="ttdeci">protected bool m_Faded</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00011">ContinuousActionProgress.c:11</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ac6f2a913178522bedbcad3b54f0f78b1"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ac6f2a913178522bedbcad3b54f0f78b1">ScriptedWidgetEventHandler::GetActions</a></div><div class="ttdeci">protected void GetActions()</div><div class="ttdoc">get actions from Action Manager</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00692">ActionTargetsCursor.c:692</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aca43b125908ed47f3a8ced6ec4b59caa"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aca43b125908ed47f3a8ced6ec4b59caa">ScriptedWidgetEventHandler::m_LoaderImage</a></div><div class="ttdeci">protected ImageWidget m_LoaderImage</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00018">ContinuousActionProgress.c:18</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_af1b2836a76ec049ca65f08f4aad0abf9"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#af1b2836a76ec049ca65f08f4aad0abf9">ScriptedWidgetEventHandler::m_Radial</a></div><div class="ttdeci">ref RadialProgressBar m_Radial</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00019">ContinuousActionProgress.c:19</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_afbe7675cdf7a570bfdaa6756df34d1f9"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#afbe7675cdf7a570bfdaa6756df34d1f9">ScriptedWidgetEventHandler::m_FadeTimer</a></div><div class="ttdeci">protected ref WidgetFadeTimer m_FadeTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df7/_continuous_action_progress_8c_source.html#l00010">ContinuousActionProgress.c:10</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00524">EnWidgets.c:525</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga70ac517aa5d3b3af95f61a2d560d811f"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a></div><div class="ttdeci">proto native volatile void Update()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d52/_player_sound_manager_8c_source.html#l00122">PlayerSoundManager.c:122</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../d5/df7/_continuous_action_progress_8c.html">ContinuousActionProgress.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
